## aubio 0.4.3

=== Makefile ===
WAFCMD=python waf
WAFURL=https://waf.io/waf-1.8.22

SOX=sox

ENABLE_DOUBLE := $(shell [ -z $(HAVE_DOUBLE) ] || echo --enable-double )
TESTSOUNDS := python/tests/sounds

all: build

checkwaf:
	@[ -f waf ] || make getwaf

getwaf:
	@./scripts/get_waf.sh

expandwaf:
	@[ -d wafilb ] || rm -fr waflib
	@$(WAFCMD) --help > /dev/null
	@mv .waf*/waflib . && rm -fr .waf*
	@sed '/^#==>$$/,$$d' waf > waf2 && mv waf2 waf
	@chmod +x waf

configure: checkwaf
	$(WAFCMD) configure $(WAFOPTS) $(ENABLE_DOUBLE)

build: configure
	$(WAFCMD) build $(WAFOPTS)

build_python:
	python ./setup.py generate $(ENABLE_DOUBLE) build

test_python: export LD_LIBRARY_PATH=$(PWD)/build/src
test_python:
	pip install -v -r requirements.txt
	pip install -v .
	nose2 --verbose
	pip uninstall -y -v aubio

test_python_osx:
	# create links from ~/lib/lib* to build/src/lib*
	[ -f build/src/libaubio.[0-9].dylib ] && ( mkdir -p ~/lib && cp -prv build/src/libaubio.4.dylib ~/lib ) || true
	# then run the tests
	pip install --user -v -r requirements.txt
	pip install --user -v .
	nose2 --verbose
	pip uninstall -y -v aubio

clean_python:
	./setup.py clean

test_pure_python:
	-pip uninstall -v -y aubio
	-rm -rf build/ python/gen/
	-rm -f dist/*.egg
	-pip install -v -r requirements.txt
	CFLAGS=-Os python setup.py bdist_egg
	[ "$(TRAVIS_OS_NAME)" == "osx" ] && easy_install --user dist/*.egg || \
		easy_install dist/*.egg
	nose2 -N 4
	pip uninstall -v -y aubio

test_pure_python_wheel:
	-pip uninstall -v -y aubio
	-rm -rf build/ python/gen/
	-rm -f dist/*.whl
	-pip install -v -r requirements.txt
	-pip install -v wheel
	CFLAGS=-Os python setup.py bdist_wheel --universal
	wheel install dist/*.whl
	nose2 -N 4
	pip uninstall -v -y aubio

build_python3:
	python3 ./setup.py generate $(ENABLE_DOUBLE) build

clean_python3:
	python3 ./setup.py clean

clean:
	$(WAFCMD) clean

distcheck: checkwaf
	$(WAFCMD) distcheck $(WAFOPTS) $(ENABLE_DOUBLE)

help:
	$(WAFCMD) --help

create_test_sounds:
	-[ -z `which $(SOX)` ] && ( echo $(SOX) could not be found) || true
	-mkdir -p $(TESTSOUNDS)
	-$(SOX) -r 44100 -b 16 -n "$(TESTSOUNDS)/44100Hz_1f_silence.wav"      synth 1s   silence 0
	-$(SOX) -r 22050 -b 16 -n "$(TESTSOUNDS)/22050Hz_5s_brownnoise.wav"   synth 5    brownnoise      vol 0.9
	-$(SOX) -r 32000 -b 16 -n "$(TESTSOUNDS)/32000Hz_127f_sine440.wav"    synth 127s sine 440        vol 0.9
	-$(SOX) -r  8000 -b 16 -n "$(TESTSOUNDS)/8000Hz_30s_silence.wav"      synth 30   silence 0       vol 0.9
	-$(SOX) -r 48000 -b 32 -n "$(TESTSOUNDS)/48000Hz_60s_sweep.wav"       synth 60   sine 100-20000  vol 0.9

=== requirements.txt ===
numpy
nose2

=== wscript ===
#! /usr/bin/python
#
# usage:
#   $ python waf --help
#
# example:
#   $ ./waf distclean configure build
#
# Note: aubio uses the waf build system, which relies on Python. Provided you
# have Python installed, you do *not* need to install anything to build aubio.
# For more info about waf, see http://code.google.com/p/waf/ .

import sys

APPNAME = 'aubio'

# source VERSION
for l in open('VERSION').readlines(): exec (l.strip())

VERSION = '.'.join ([str(x) for x in [
    AUBIO_MAJOR_VERSION,
    AUBIO_MINOR_VERSION,
    AUBIO_PATCH_VERSION
    ]]) + AUBIO_VERSION_STATUS

LIB_VERSION = '.'.join ([str(x) for x in [
    LIBAUBIO_LT_CUR,
    LIBAUBIO_LT_REV,
    LIBAUBIO_LT_AGE]])

top = '.'
out = 'build'

def add_option_enable_disable(ctx, name, default = None,
        help_str = None, help_disable_str = None):
    if help_str == None:
        help_str = 'enable ' + name + ' support'
    if help_disable_str == None:
        help_disable_str = 'do not ' + help_str
    ctx.add_option('--enable-' + name, action = 'store_true',
            default = default,
            dest = 'enable_' + name.replace('-','_'),
            help = help_str)
    ctx.add_option('--disable-' + name, action = 'store_false',
            #default = default,
            dest = 'enable_' + name.replace('-','_'),
            help = help_disable_str )

def options(ctx):
    add_option_enable_disable(ctx, 'fftw3f', default = False,
            help_str = 'compile with fftw3f instead of ooura (recommended)',
            help_disable_str = 'do not compile with fftw3f')
    add_option_enable_disable(ctx, 'fftw3', default = False,
            help_str = 'compile with fftw3 instead of ooura',
            help_disable_str = 'do not compile with fftw3')
    add_option_enable_disable(ctx, 'complex', default = False,
            help_str ='compile with C99 complex',
            help_disable_str = 'do not use C99 complex (default)' )
    add_option_enable_disable(ctx, 'jack', default = None,
            help_str = 'compile with jack (auto)',
            help_disable_str = 'disable jack support')
    add_option_enable_disable(ctx, 'sndfile', default = None,
            help_str = 'compile with sndfile (auto)',
            help_disable_str = 'disable sndfile')
    add_option_enable_disable(ctx, 'avcodec', default = None,
            help_str = 'compile with libavcodec (auto)',
            help_disable_str = 'disable libavcodec')
    add_option_enable_disable(ctx, 'samplerate', default = None,
            help_str = 'compile with samplerate (auto)',
            help_disable_str = 'disable samplerate')
    add_option_enable_disable(ctx, 'memcpy', default = True,
            help_str = 'use memcpy hacks (default)',
            help_disable_str = 'do not use memcpy hacks')
    add_option_enable_disable(ctx, 'double', default = False,
            help_str = 'compile in double precision mode',
            help_disable_str = 'compile in single precision mode (default)')
    add_option_enable_disable(ctx, 'fat', default = False,
            help_str = 'build fat binaries (darwin only)',
            help_disable_str = 'do not build fat binaries (default)')
    add_option_enable_disable(ctx, 'accelerate', default = None,
            help_str = 'use Accelerate framework (darwin only) (auto)',
            help_disable_str = 'do not use Accelerate framework')
    add_option_enable_disable(ctx, 'apple-audio', default = None,
            help_str = 'use CoreFoundation (darwin only) (auto)',
            help_disable_str = 'do not use CoreFoundation framework')
    add_option_enable_disable(ctx, 'atlas', default = None,
            help_str = 'use Atlas library (auto)',
            help_disable_str = 'do not use Atlas library')

    add_option_enable_disable(ctx, 'docs', default = None,
            help_str = 'build documentation (auto)',
            help_disable_str = 'do not build documentation')

    ctx.add_option('--with-target-platform', type='string',
            help='set target platform for cross-compilation', dest='target_platform')

    ctx.load('compiler_c')
    ctx.load('waf_unit_test')
    ctx.load('gnu_dirs')

def configure(ctx):
    from waflib import Options
    ctx.load('compiler_c')
    ctx.load('waf_unit_test')
    ctx.load('gnu_dirs')

    # check for common headers
    ctx.check(header_name='stdlib.h')
    ctx.check(header_name='stdio.h')
    ctx.check(header_name='math.h')
    ctx.check(header_name='string.h')
    ctx.check(header_name='limits.h')
    ctx.check(header_name='getopt.h', mandatory = False)
    ctx.check(header_name='unistd.h', mandatory = False)

    target_platform = sys.platform
    if ctx.options.target_platform:
        target_platform = ctx.options.target_platform
    ctx.env['DEST_OS'] = target_platform

    if ctx.env.CC_NAME != 'msvc':
        ctx.env.CFLAGS += ['-g', '-Wall', '-Wextra']
    else:
        ctx.env.CFLAGS += ['/W4', '/MD']
        ctx.env.CFLAGS += ['/D_CRT_SECURE_NO_WARNINGS']

    ctx.check_cc(lib='m', uselib_store='M', mandatory=False)

    if target_platform not in ['win32', 'win64']:
        ctx.env.CFLAGS += ['-fPIC']
    else:
        ctx.define('HAVE_WIN_HACKS', 1)
        ctx.env['cshlib_PATTERN'] = 'lib%s.dll'

    if target_platform == 'darwin' and ctx.options.enable_fat:
        ctx.env.CFLAGS += ['-arch', 'i386', '-arch', 'x86_64']
        ctx.env.LINKFLAGS += ['-arch', 'i386', '-arch', 'x86_64']
        MINSDKVER="10.4"
        ctx.env.CFLAGS += [ '-mmacosx-version-min=' + MINSDKVER ]
        ctx.env.LINKFLAGS += [ '-mmacosx-version-min=' + MINSDKVER ]

    if target_platform in [ 'darwin', 'ios', 'iosimulator']:
        if (ctx.options.enable_apple_audio != False):
            ctx.env.FRAMEWORK += ['CoreFoundation', 'AudioToolbox']
            ctx.define('HAVE_SOURCE_APPLE_AUDIO', 1)
            ctx.define('HAVE_SINK_APPLE_AUDIO', 1)
        if (ctx.options.enable_accelerate != False):
            ctx.define('HAVE_ACCELERATE', 1)
            ctx.env.FRAMEWORK += ['Accelerate']

    if target_platform in [ 'ios', 'iosimulator' ]:
        MINSDKVER="6.1"
        ctx.env.CFLAGS += ['-std=c99']
        if (ctx.options.enable_apple_audio != False):
            ctx.define('HAVE_AUDIO_UNIT', 1)
            #ctx.env.FRAMEWORK += ['CoreFoundation', 'AudioToolbox']
        if target_platform == 'ios':
            DEVROOT = "/Applications/Xcode.app/Contents"
            DEVROOT += "/Developer/Platforms/iPhoneOS.platform/Developer"
            SDKROOT = "%(DEVROOT)s/SDKs/iPhoneOS.sdk" % locals()
            ctx.env.CFLAGS += [ '-fembed-bitcode' ]
            ctx.env.CFLAGS += [ '-arch', 'arm64' ]
            ctx.env.CFLAGS += [ '-arch', 'armv7' ]
            ctx.env.CFLAGS += [ '-arch', 'armv7s' ]
            ctx.env.LINKFLAGS += [ '-arch', 'arm64' ]
            ctx.env.LINKFLAGS += ['-arch', 'armv7']
            ctx.env.LINKFLAGS += ['-arch', 'armv7s']
            ctx.env.CFLAGS += [ '-miphoneos-version-min=' + MINSDKVER ]
            ctx.env.LINKFLAGS += [ '-miphoneos-version-min=' + MINSDKVER ]
        else:
            DEVROOT = "/Applications/Xcode.app/Contents"
            DEVROOT += "/Developer/Platforms/iPhoneSimulator.platform/Developer"
            SDKROOT = "%(DEVROOT)s/SDKs/iPhoneSimulator.sdk" % locals()
            ctx.env.CFLAGS += [ '-arch', 'i386' ]
            ctx.env.CFLAGS += [ '-arch', 'x86_64' ]
            ctx.env.LINKFLAGS += ['-arch', 'i386']
            ctx.env.LINKFLAGS += ['-arch', 'x86_64']
            ctx.env.CFLAGS += [ '-mios-simulator-version-min=' + MINSDKVER ]
            ctx.env.LINKFLAGS += [ '-mios-simulator-version-min=' + MINSDKVER ]
        ctx.env.CFLAGS += [ '-isysroot' , SDKROOT]
        ctx.env.LINKFLAGS += [ '-isysroot' , SDKROOT]

    if target_platform == 'emscripten':
        import os.path
        ctx.env.CFLAGS += [ '-I' + os.path.join(os.environ['EMSCRIPTEN'], 'system', 'include') ]
        ctx.env.CFLAGS += ['-Oz']
        ctx.env.cprogram_PATTERN = "%s.js"
        if (ctx.options.enable_atlas != True):
            ctx.options.enable_atlas = False

    # check support for C99 __VA_ARGS__ macros
    check_c99_varargs = '''
#include <stdio.h>
#define AUBIO_ERR(...) fprintf(stderr, __VA_ARGS__)
'''

    if ctx.check_cc(fragment = check_c99_varargs,
            type='cstlib',
            msg = 'Checking for C99 __VA_ARGS__ macro',
            mandatory = False):
        ctx.define('HAVE_C99_VARARGS_MACROS', 1)

    # show a message about enable_double status
    if (ctx.options.enable_double == True):
        ctx.msg('Checking for size of smpl_t', 'double')
        ctx.msg('Checking for size of lsmp_t', 'long double')
    else:
        ctx.msg('Checking for size of smpl_t', 'float')
        ctx.msg('Checking for size of lsmp_t', 'double')

    # optionally use complex.h
    if (ctx.options.enable_complex == True):
        ctx.check(header_name='complex.h')
    else:
        ctx.msg('Checking if complex.h is enabled', 'no')

    # check for fftw3
    if (ctx.options.enable_fftw3 != False or ctx.options.enable_fftw3f != False):
        # one of fftwf or fftw3f
        if (ctx.options.enable_fftw3f != False):
            ctx.check_cfg(package = 'fftw3f', atleast_version = '3.0.0',
                    args = '--cflags --libs',
                    mandatory = ctx.options.enable_fftw3f)
            if (ctx.options.enable_double == True):
                ctx.msg('Warning',
                        'fftw3f enabled, but compiling in double precision!')
        else:
            # fftw3f disabled, take most sensible one according to
            # enable_double
            if (ctx.options.enable_double == True):
                ctx.check_cfg(package = 'fftw3', atleast_version = '3.0.0',
                        args = '--cflags --libs', mandatory =
                        ctx.options.enable_fftw3)
            else:
                ctx.check_cfg(package = 'fftw3f', atleast_version = '3.0.0',
                        args = '--cflags --libs',
                        mandatory = ctx.options.enable_fftw3)
        ctx.define('HAVE_FFTW3', 1)

    # fftw not enabled, use vDSP or ooura
    if 'HAVE_FFTW3F' in ctx.env.define_key:
        ctx.msg('Checking for FFT implementation', 'fftw3f')
    elif 'HAVE_FFTW3' in ctx.env.define_key:
        ctx.msg('Checking for FFT implementation', 'fftw3')
    elif 'HAVE_ACCELERATE' in ctx.env.define_key:
        ctx.msg('Checking for FFT implementation', 'vDSP')
    else:
        ctx.msg('Checking for FFT implementation', 'ooura')

    # check for libsndfile
    if (ctx.options.enable_sndfile != False):
        ctx.check_cfg(package = 'sndfile', atleast_version = '1.0.4',
                args = '--cflags --libs',
                mandatory = ctx.options.enable_sndfile)

    # check for libsamplerate
    if (ctx.options.enable_samplerate != False):
        ctx.check_cfg(package = 'samplerate', atleast_version = '0.0.15',
                args = '--cflags --libs',
                mandatory = ctx.options.enable_samplerate)

    # check for jack
    if (ctx.options.enable_jack != False):
        ctx.check_cfg(package = 'jack',
                args = '--cflags --libs',
                mandatory = ctx.options.enable_jack)

    # check for libav
    if (ctx.options.enable_avcodec != False):
        ctx.check_cfg(package = 'libavcodec', atleast_version = '54.35.0',
                args = '--cflags --libs', uselib_store = 'AVCODEC',
                mandatory = ctx.options.enable_avcodec)
        ctx.check_cfg(package = 'libavformat', atleast_version = '52.3.0',
                args = '--cflags --libs', uselib_store = 'AVFORMAT',
                mandatory = ctx.options.enable_avcodec)
        ctx.check_cfg(package = 'libavutil', atleast_version = '52.3.0',
                args = '--cflags --libs', uselib_store = 'AVUTIL',
                mandatory = ctx.options.enable_avcodec)
        ctx.check_cfg(package = 'libavresample', atleast_version = '1.0.1',

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/aubio.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/aubio.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/aubio"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/aubio"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
aubio (0.4.3-4) unstable; urgency=medium

  * debian/control: aubio-tools now depends on python3-aubio
  * debian/control: fix python3 Depends/Suggests for python3-aubio
  * debian/control: remove old Provides, XB-P-V, and Replaces/Conflicts
  * debian/python*-aubio.install: removed, use pybuild
  * debian/patches/pytest_local_import.diff: create python/tests/__init__.py
  * debian/patches/pytest_local_import.diff: use local imports for python3
  * debian/patches/sort_pysrc.diff: update to sort existing generated files
  * debian/patches/cleaner_clean.diff: prevent ./setup.py clean failures
  * debian/rules: remove old flags, not needed anymore for compat 9
  * debian/rules: use pybuild to install python packages
  * debian/rules: customize pybuild to use nose2 tests
  * debian/rules: simplify clean rule

 -- Paul Brossier <piem@debian.org>  Sun, 27 Nov 2016 22:23:50 +0100

aubio (0.4.3-3) unstable; urgency=medium

  * debian/patches/sort_pysrc.diff: also sort the list of generated files
  * debian/control: update Vcs-Git to use https
  * debian/patches/waf_cstlib_inst-8698499.diff: merge upstream, remove
    hardcoded copy in debian/rules
  * debian/rules: pass multi-arch libdir
  * debian/libaubio*.install: install from multi-arch libdir
  * debian/control: make libaubio5 multi-arch
  * debian/control: bump to debhelper >=9.0.0

 -- Paul Brossier <piem@debian.org>  Sat, 26 Nov 2016 16:34:33 +0100

aubio (0.4.3-2) unstable; urgency=medium

  * Now at last upstream version (closes: #828039)
  * debian/patch/skip_ppc64.diff: skip test if fft(zeros).phas != 0 [powerpc]
    (closes: #843482)
  * debian/patches/alpha_norm-88c89e3.diff: pull from upstream (avoid random
    test failures)
  * debian/patches/sort_pysrc.diff: sort(glob.glob) to improve build
    reproducibility
  * debian/patches/avcodec_update.diff: avoid libav deprecation warning
  * debian/control: update Vcs-Browser
  * debian/rules: improve test command

 -- Paul Brossier <piem@debian.org>  Mon, 07 Nov 2016 13:18:01 +0100

aubio (0.4.3-1) unstable; urgency=medium

  * Imported Upstream version 0.4.3
  * debian/patches/wscript_avcodec.patch: merged upstream
  * debian/patches/local_mathjax.patch: update
  * debian/patches/fixtests-5d8cc71.patch: use 5s brown noise
  * debian/rules: add -Wl,--as-needed
  * debian/rules: update python build, run python tests
  * debian/control: Standards-Version 3.9.8, debian/compat: 9
  * debian/control: bump to libaubio5
  * debian/control: update short description

 -- Paul Brossier <piem@debian.org>  Sun, 06 Nov 2016 01:38:30 +0100

aubio (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Acknowledge NMU, thanks to toddy and sramacher (closes: #806604, #803799).
  * debian/patches/ffmpeg_2.9.patch: removed
  * debian/patches/wscript_avcodec.patch: fix avcodec detection
  * debian/patches/local_mathjax.patch: added .patch
  * debian/patches/series: update
  * debian/control: add | liback-jack2-dev, python-setuptools, dh-python
  * debian/control: bump to Standards-Version 3.9.6
  * debian/rules: cleaner clean, use python install --root= --prefix=
  * debian/rules: no more --nocache for waf, force static library install

 -- Paul Brossier <piem@debian.org>  Mon, 15 Aug 2016 13:40:35 +0200

aubio (0.4.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS when built with dpkg-buildpackage -A.
    Thanks to Santiago Vila <sanvila@unex.es> (Closes: #806604)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 05 Aug 2016 17:34:40 +0200

aubio (0.4.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Cadhalpun ]
  * debian/patches/ffmpeg_2.9.patch: Fix build against ffmpeg 3.0. (Closes:
    #803799)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Mar 2016 22:06:41 +0100

=== debian/control ===
Source: aubio
Section: sound
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               libtool,
               libjack-dev | libjack-jackd2-dev,
               libavcodec-dev,
               libavformat-dev,
               libavresample-dev,
               libavutil-dev,
               libsndfile1-dev,
               libsamplerate-dev,
               libasound2-dev,
               libfftw3-dev,
               dh-python,
               python | python-all | python-dev | python-all-dev,
               python-setuptools,
               libpython2.7-dev,
               python-numpy,
               python3 | python3-all | python3-dev | python3-all-dev,
               python3-setuptools,
               libpython3-dev,
               python3-numpy,
               sox,
               python-nose2,
               python3-nose2,
               txt2man,
Build-Depends-Indep: doxygen,
                     libjs-jquery,
                     libjs-mathjax,
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: http://aubio.org
Vcs-Git: https://anonscm.debian.org/git/collab-maint/aubio.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/aubio.git/

Package: libaubio-dev
Section: libdevel
Architecture: any
Depends: libaubio5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library for audio and music analysis, synthesis, and effects
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package contains the development files for libaubio.

Package: libaubio5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libaubio4
Description: library for audio segmentation
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package provides the shared library libaubio.

Package: aubio-tools
Section: sound
Architecture: any
Depends: python3-aubio (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: library for audio segmentation -- utilities
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package provides command line tools to run the different algorithms.

Package: libaubio-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery, libjs-mathjax
Description: library for audio segmentation -- documentation
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package provides the documentation for the C interface.

Package: python-aubio
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-matplotlib
Description: python interface for aubio, a library for audio segmentation
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package provides the aubio module for Python 2.

Package: python3-aubio
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Suggests: python3-matplotlib
Description: python interface for aubio, a library for audio segmentation
 aubio gathers a set of functions for audio signal segmentation and labelling.
 The library contains a phase vocoder, onset and pitch detection functions, a
 beat tracking algorithm and other sound processing utilities.
 .
 This package provides the aubio module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# set environment for waf
export LINKFLAGS=-Wl,--as-needed
WAF_OPTIONS = --verbose --destdir=debian/tmp --prefix=/usr --enable-fftw3f
WAF_OPTIONS += --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
WAF_CMD = ./waf

export PYBUILD_NAME=aubio
export PYBUILD_AFTER_INSTALL_python2=rm -vrf '{destdir}/usr/bin'
export PYBUILD_AFTER_INSTALL_python3=mv '{destdir}/usr/bin/aubiocut' '{dir}/debian/tmp/usr/bin'

export PYBUILD_BEFORE_TEST=make create_test_sounds; cp -prv '{dir}/python/tests' '{build_dir}'
export PYBUILD_AFTER_TEST=rm -rf '{build_dir}/tests'; rm -rf '{dir}/python/tests/sounds'
export PYBUILD_TEST_ARGS_python2=cd '{build_dir}'; nose2-2.7 --verbose
export PYBUILD_TEST_ARGS_python3=cd '{build_dir}'; nose2-3 --verbose

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	-$(WAF_CMD) distclean
	rm -rf doc/web/
	rm -rf python/ext/config.h
	# extra rules to remove files manually
	#-find waf -name '*.pyc' -delete
	#rm -rf .waf* .lock-waf*
	#rm -rf build/ dist/ .waf* .lock-waf*
	#rm -rf python/gen/ aubio.egg-info
	#rm -rf python/lib/*.pyc python/lib/aubio/*.so
	#rm -rf python/tests/sounds
	#rm -rf debian/tmp
	#rm -rf manpages.refs manpages.links

override_dh_auto_configure:
	$(WAF_CMD) configure $(WAF_OPTIONS)

override_dh_auto_build:
	$(WAF_CMD) build $(WAF_OPTIONS)
	dh_auto_build --buildsystem=pybuild

override_dh_auto_test:
	# run tests
	PYBUILD_SYSTEM=custom \
	LD_LIBRARY_PATH=$(CURDIR)/build/src:$(LD_LIBRARY_PATH) \
		dh_auto_test --buildsystem=pybuild

override_dh_auto_install:
	# library
	$(WAF_CMD) install $(WAF_OPTIONS)
	# python extension
	dh_auto_install --buildsystem=pybuild
	# call dh_numpy to add dependency on numpy abi
	if [ -x /usr/bin/dh_numpy ]; then dh_numpy; fi

## aubio 0.4.5

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# This makefile contains simple rules to prepare, compile, test, and install
# aubio. Try one of the following rules:
#
# $ make configure
# $ make build
# $ make install
# $ make test_python

WAFCMD=python waf

#WAFOPTS:=
# turn on verbose mode
WAFOPTS += --verbose
# build wafopts
WAFOPTS += --destdir $(DESTDIR)
# multiple jobs
WAFOPTS += --jobs 4
# if HAVE_AUBIO_DOUBLE is defined, pass --enable-double to waf
# python/lib/moresetuptools.py also checks for HAVE_AUBIO_DOUBLE
WAFOPTS += $(shell [ -z $(HAVE_AUBIO_DOUBLE) ] || echo --enable-double )

PIPOPTS += --verbose

DESTDIR:=$(PWD)/build/dist
PYDESTDIR:=$(PWD)/build/pydist

# default install locations
PREFIX?=/usr/local
EXEC_PREFIX?=$(PREFIX)
LIBDIR?=$(PREFIX)/lib
INCLUDEDIR?=$(PREFIX)/include
DATAROOTDIR?=$(PREFIX)/share
MANDIR?=$(DATAROOTDIR)/man

SOX=sox

TESTSOUNDS := python/tests/sounds

all: build

checkwaf:
	@[ -f waf ] || make getwaf

getwaf:
	./scripts/get_waf.sh

expandwaf: getwaf
	[ -d wafilb ] || rm -fr waflib
	$(WAFCMD) --help > /dev/null
	mv .waf*/waflib . && rm -fr .waf*
	sed '/^#==>$$/,$$d' waf > waf2 && mv waf2 waf
	chmod +x waf && chmod -R go-w waflib

cleanwaf:
	rm -rf waf waflib .waf*

configure: checkwaf
	$(WAFCMD) configure $(WAFOPTS)

build: configure
	$(WAFCMD) build $(WAFOPTS)

install:
	# install
	$(WAFCMD) install $(WAFOPTS)

list_installed:
	find $(DESTDIR) -ls | sed 's|$(DESTDIR)|/«destdir»|'

list_installed_python:
	pip show -f aubio

list_all_installed: list_installed list_installed_python

uninstall:
	# uninstall
	$(WAFCMD) uninstall $(WAFOPTS)

delete_install:
	rm -rf $(PWD)/dist/test

build_python:
	# build python-aubio, using locally built libaubio if found
	python ./setup.py build

build_python_extlib:
	# build python-aubio using (locally) installed libaubio
	[ -f $(DESTDIR)/$(INCLUDEDIR)/aubio/aubio.h ]
	[ -d $(DESTDIR)/$(LIBDIR) ]
	[ -f $(DESTDIR)/$(LIBDIR)/pkgconfig/aubio.pc ]
	PKG_CONFIG_PATH=$(DESTDIR)/$(LIBDIR)/pkgconfig \
	CFLAGS="-I$(DESTDIR)/$(INCLUDEDIR)" \
	LDFLAGS="-L$(DESTDIR)/$(LIBDIR)" \
		make build_python

deps_python:
	# install or upgrade python requirements
	pip install $(PIPOPTS) --requirement requirements.txt

# use pip or distutils?
install_python: install_python_with_pip
uninstall_python: uninstall_python_with_pip
#install_python: install_python_with_distutils
#uninstall_python: uninstall_python_with_distutils

install_python_with_pip:
	# install package
	pip install $(PIPOPTS) .

uninstall_python_with_pip:
	# uninstall package
	( pip show aubio | grep -l aubio > /dev/null ) && \
	pip uninstall -y -v aubio || echo "info: aubio package is not installed"

install_python_with_distutils:
	./setup.py install $(PIPOPTS) $(DISTUTILSOPTS)

uninstall_python_with_distutils:
	#./setup.py uninstall
	[ -d $(PYDESTDIR)/$(LIBDIR) ] && echo Warning: did not clean $(PYDESTDIR)/$(LIBDIR) || true

force_uninstall_python:
	# ignore failure if not installed
	-make uninstall_python

local_dylib:
	# DYLD_LIBRARY_PATH is no more on mac os
	# create links from ~/lib/lib* to build/src/lib*
	[ -f $(PWD)/build/src/libaubio.[0-9].dylib ] && ( mkdir -p ~/lib && cp -prv build/src/libaubio.[0-9].dylib ~/lib ) || true

test_python: export LD_LIBRARY_PATH=$(DESTDIR)/$(LIBDIR)
test_python: export PYTHONPATH=$(PYDESTDIR)/$(LIBDIR)
test_python: local_dylib
	# run test with installed package
	./python/tests/run_all_tests --verbose
	# also run with nose, multiple processes
	nose2 -N 4

clean_python:
	./setup.py clean

check_clean_python:
	# check cleaning a second time works
	make clean_python
	make clean_python

clean: checkwaf
	# optionnaly clean before build
	-$(WAFCMD) clean
	# remove possible left overs
	-rm -rf doc/_build

check_clean:
	# check cleaning after build works
	$(WAFCMD) clean
	# check cleaning a second time works
	$(WAFCMD) clean

distclean:
	$(WAFCMD) distclean
	-rm -rf doc/_build/
	-rm -rf doc/web/

check_distclean:
	make distclean

distcheck: checkwaf
	$(WAFCMD) distcheck $(WAFOPTS)

help:
	$(WAFCMD) --help

create_test_sounds:
	-[ -z `which $(SOX)` ] && ( echo $(SOX) could not be found) || true
	-mkdir -p $(TESTSOUNDS)
	-$(SOX) -r 44100 -b 16 -n "$(TESTSOUNDS)/44100Hz_1f_silence.wav"      trim 0 1s
	-$(SOX) -r 22050 -b 16 -n "$(TESTSOUNDS)/22050Hz_5s_brownnoise.wav"   synth 5    brownnoise      vol 0.9
	-$(SOX) -r 32000 -b 16 -n "$(TESTSOUNDS)/32000Hz_127f_sine440.wav"    synth 127s sine 440        vol 0.9
	-$(SOX) -r  8000 -b 16 -n "$(TESTSOUNDS)/8000Hz_30s_silence.wav"      trim 0 30
	-$(SOX) -r 48000 -b 32 -n "$(TESTSOUNDS)/48000Hz_60s_sweep.wav"       synth 60   sine 100-20000  vol 0.9
	-$(SOX) -r 44100 -b 16 -n "$(TESTSOUNDS)/44100Hz_44100f_sine441.wav"  synth 44100s   sine 441 	vol 0.9
	-$(SOX) -r 44100 -b 16 -n "$(TESTSOUNDS)/44100Hz_100f_sine441.wav"    synth 100s sine 441 	vol 0.9

# build only libaubio, no python-aubio
test_lib_only: clean distclean configure build install list_installed
# additionally, clean after a fresh build
test_lib_only_clean: test_lib_only uninstall check_clean check_distclean

# build libaubio, build and test python-aubio against it
test_lib_python: force_uninstall_python deps_python \
	clean_python clean distclean \
	configure build build_python \
	install install_python \
	test_python \
	list_all_installed

test_lib_python_clean: test_lib_python \
	uninstall_python uninstall \
	check_clean_python \
	check_clean \
	check_distclean

# build libaubio, install it, build python-aubio against it
test_lib_install_python: force_uninstall_python deps_python \
	clean_python distclean \
	configure build \
	install \
	build_python_extlib \
	install_python \
	test_python \
	list_all_installed

test_lib_install_python_clean: test_lib_install_python \
	uninstall_python \
	delete_install \
	check_clean_python \
	check_distclean

# build a python-aubio that includes libaubio
test_python_only: force_uninstall_python deps_python \
	clean_python clean distclean \
	build_python \
	install_python \
	test_python \
	list_installed_python

test_python_only_clean: test_python_only \
	uninstall_python \
	check_clean_python

sphinx: configure
	$(WAFCMD) sphinx $(WAFOPTS)

doxygen: configure
	$(WAFCMD) doxygen $(WAFOPTS)

manpages: configure
	$(WAFCMD) manpages $(WAFOPTS)

html: doxygen sphinx

docs: html manpages

dist: distclean expandwaf
	$(WAFCMD) dist

=== wscript ===
--- 
+++ 
@@ -14,19 +14,10 @@
 
 APPNAME = 'aubio'
 
-# source VERSION
-for l in open('VERSION').readlines(): exec (l.strip())
-
-VERSION = '.'.join ([str(x) for x in [
-    AUBIO_MAJOR_VERSION,
-    AUBIO_MINOR_VERSION,
-    AUBIO_PATCH_VERSION
-    ]]) + AUBIO_VERSION_STATUS
-
-LIB_VERSION = '.'.join ([str(x) for x in [
-    LIBAUBIO_LT_CUR,
-    LIBAUBIO_LT_REV,
-    LIBAUBIO_LT_AGE]])
+from this_version import *
+
+VERSION = get_aubio_version()
+LIB_VERSION = get_libaubio_version()
 
 top = '.'
 out = 'build'
@@ -47,6 +38,12 @@
             help = help_disable_str )
 
 def options(ctx):
+    ctx.add_option('--build-type', action = 'store',
+            default = "release",
+            choices = ('debug', 'release'),
+            dest = 'build_type',
+            help = 'whether to compile with (--build-type=release) or without (--build-type=debug) '\
+              ' compiler opimizations [default: release]')
     add_option_enable_disable(ctx, 'fftw3f', default = False,
             help_str = 'compile with fftw3f instead of ooura (recommended)',
             help_disable_str = 'do not compile with fftw3f')
@@ -83,9 +80,15 @@
     add_option_enable_disable(ctx, 'apple-audio', default = None,
             help_str = 'use CoreFoundation (darwin only) (auto)',
             help_disable_str = 'do not use CoreFoundation framework')
-    add_option_enable_disable(ctx, 'atlas', default = None,
-            help_str = 'use Atlas library (auto)',
+    add_option_enable_disable(ctx, 'atlas', default = False,
+            help_str = 'use Atlas library (no)',
             help_disable_str = 'do not use Atlas library')
+    add_option_enable_disable(ctx, 'wavread', default = True,
+            help_str = 'compile with source_wavread (default)',
+            help_disable_str = 'do not compile source_wavread')
+    add_option_enable_disable(ctx, 'wavwrite', default = True,
+            help_str = 'compile with source_wavwrite (default)',
+            help_disable_str = 'do not compile source_wavwrite')
 
     add_option_enable_disable(ctx, 'docs', default = None,
             help_str = 'build documentation (auto)',
@@ -110,6 +113,7 @@
     ctx.check(header_name='math.h')
     ctx.check(header_name='string.h')
     ctx.check(header_name='limits.h')
+    ctx.check(header_name='stdarg.h')
     ctx.check(header_name='getopt.h', mandatory = False)
     ctx.check(header_name='unistd.h', mandatory = False)
 
@@ -118,11 +122,33 @@
         target_platform = ctx.options.target_platform
     ctx.env['DEST_OS'] = target_platform
 
+    if ctx.options.build_type == "debug":
+        ctx.define('DEBUG', 1)
+    else:
+        ctx.define('NDEBUG', 1)
+
     if ctx.env.CC_NAME != 'msvc':
-        ctx.env.CFLAGS += ['-g', '-Wall', '-Wextra']
-    else:
-        ctx.env.CFLAGS += ['/W4', '/MD']
-        ctx.env.CFLAGS += ['/D_CRT_SECURE_NO_WARNINGS']
+        if ctx.options.build_type == "debug":
+            # no optimization in debug mode
+            ctx.env.prepend_value('CFLAGS', ['-O0'])
+        else:
+            # default to -O2 in release mode
+            ctx.env.prepend_value('CFLAGS', ['-O2'])
+        # enable debug symbols and configure warnings
+        ctx.env.prepend_value('CFLAGS', ['-g', '-Wall', '-Wextra'])
+    else:
+        # enable debug symbols
+        ctx.env.CFLAGS += ['/Z7', '/FS']
+        ctx.env.LINKFLAGS += ['/DEBUG', '/INCREMENTAL:NO']
+        # configure warnings
+        ctx.env.CFLAGS += ['/W4', '/D_CRT_SECURE_NO_WARNINGS']
+        # set optimization level and runtime libs
+        if (ctx.options.build_type == "release"):
+            ctx.env.CFLAGS += ['/Ox']
+            ctx.env.CFLAGS += ['/MD']
+        else:
+            assert(ctx.options.build_type == "debug")
+            ctx.env.CFLAGS += ['/MDd']
 
     ctx.check_cc(lib='m', uselib_store='M', mandatory=False)
 
@@ -144,9 +170,15 @@
             ctx.env.FRAMEWORK += ['CoreFoundation', 'AudioToolbox']
             ctx.define('HAVE_SOURCE_APPLE_AUDIO', 1)
             ctx.define('HAVE_SINK_APPLE_AUDIO', 1)
+            ctx.msg('Checking for AudioToolbox.framework', 'yes')
+        else:
+            ctx.msg('Checking for AudioToolbox.framework', 'no (disabled)', color = 'YELLOW')
         if (ctx.options.enable_accelerate != False):
             ctx.define('HAVE_ACCELERATE', 1)
             ctx.env.FRAMEWORK += ['Accelerate']
+            ctx.msg('Checking for Accelerate framework', 'yes')
+        else:
+            ctx.msg('Checking for Accelerate framework', 'no (disabled)', color = 'YELLOW')
 
     if target_platform in [ 'ios', 'iosimulator' ]:
         MINSDKVER="6.1"
@@ -218,8 +250,8 @@
     if (ctx.options.enable_fftw3 != False or ctx.options.enable_fftw3f != False):
         # one of fftwf or fftw3f
         if (ctx.options.enable_fftw3f != False):
-            ctx.check_cfg(package = 'fftw3f', atleast_version = '3.0.0',
-                    args = '--cflags --libs',
+            ctx.check_cfg(package = 'fftw3f',
+                    args = '--cflags --libs fftw3f >= 3.0.0',
                     mandatory = ctx.options.enable_fftw3f)
             if (ctx.options.enable_double == True):
                 ctx.msg('Warning',
@@ -228,12 +260,12 @@
             # fftw3f disabled, take most sensible one according to
             # enable_double
             if (ctx.options.enable_double == True):
-                ctx.check_cfg(package = 'fftw3', atleast_version = '3.0.0',
-                        args = '--cflags --libs', mandatory =
-                        ctx.options.enable_fftw3)
+                ctx.check_cfg(package = 'fftw3',
+                        args = '--cflags --libs fftw3 >= 3.0.0.',
+                        mandatory = ctx.options.enable_fftw3)
             else:
-                ctx.check_cfg(package = 'fftw3f', atleast_version = '3.0.0',
-                        args = '--cflags --libs',
+                ctx.check_cfg(package = 'fftw3f',
+                        args = '--cflags --libs fftw3f >= 3.0.0',
                         mandatory = ctx.options.enable_fftw3)
         ctx.define('HAVE_FFTW3', 1)
 
@@ -242,38 +274,3 @@
         ctx.msg('Checking for FFT implementation', 'fftw3f')
     elif 'HAVE_FFTW3' in ctx.env.define_key:
         ctx.msg('Checking for FFT implementation', 'fftw3')
-    elif 'HAVE_ACCELERATE' in ctx.env.define_key:
-        ctx.msg('Checking for FFT implementation', 'vDSP')
-    else:
-        ctx.msg('Checking for FFT implementation', 'ooura')
-
-    # check for libsndfile
-    if (ctx.options.enable_sndfile != False):
-        ctx.check_cfg(package = 'sndfile', atleast_version = '1.0.4',
-                args = '--cflags --libs',
-                mandatory = ctx.options.enable_sndfile)
-
-    # check for libsamplerate
-    if (ctx.options.enable_samplerate != False):
-        ctx.check_cfg(package = 'samplerate', atleast_version = '0.0.15',
-                args = '--cflags --libs',
-                mandatory = ctx.options.enable_samplerate)
-
-    # check for jack
-    if (ctx.options.enable_jack != False):
-        ctx.check_cfg(package = 'jack',
-                args = '--cflags --libs',
-                mandatory = ctx.options.enable_jack)
-
-    # check for libav
-    if (ctx.options.enable_avcodec != False):
-        ctx.check_cfg(package = 'libavcodec', atleast_version = '54.35.0',
-                args = '--cflags --libs', uselib_store = 'AVCODEC',
-                mandatory = ctx.options.enable_avcodec)
-        ctx.check_cfg(package = 'libavformat', atleast_version = '52.3.0',
-                args = '--cflags --libs', uselib_store = 'AVFORMAT',
-                mandatory = ctx.options.enable_avcodec)
-        ctx.check_cfg(package = 'libavutil', atleast_version = '52.3.0',
-                args = '--cflags --libs', uselib_store = 'AVUTIL',
-                mandatory = ctx.options.enable_avcodec)
-        ctx.check_cfg(package = 'libavresample', atleast_version = '1.0.1',

=== debian/changelog ===
aubio (0.4.5-1build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:25:11 +0000

aubio (0.4.5-1) unstable; urgency=medium

  * New upstream version 0.4.5
  * Apply patch for 0.4.3-4.1 (thanks to Dr. Tobias Quathamer, closes: #862804)
  * debian/control: update homepage to https
  * debian/patches: delete all patches merged upstream
  * debian/rules: clean sphinx doc, this_version.pyc, and aubio.egg-info
  * debian/rules: add /usr/bin/aubio to aubio-tools
  * debian/watch: check upstream signature

 -- Paul Brossier <piem@debian.org>  Mon, 24 Jul 2017 15:11:01 +0200

aubio (0.4.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove python-related alternates from Build-Depends.
  * Fix d/rules to invoke tests with correct version of Python 3.
    Thanks to Michael Hudson-Doyle <michael.hudson@ubuntu.com> for
    the bug report and patch. Closes: #862804

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 02 Jul 2017 17:35:53 +0200

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
                libasound2-dev,
                libfftw3-dev,
                dh-python,
-               python | python-all | python-dev | python-all-dev,
+               python-all-dev,
                python-setuptools,
                libpython2.7-dev,
                python-numpy,
-               python3 | python3-all | python3-dev | python3-all-dev,
+               python3-all-dev,
                python3-setuptools,
                libpython3-dev,
                python3-numpy,
@@ -32,7 +32,7 @@
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Homepage: http://aubio.org
+Homepage: https://aubio.org
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/aubio.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/aubio.git/

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,12 @@
 
 export PYBUILD_NAME=aubio
 export PYBUILD_AFTER_INSTALL_python2=rm -vrf '{destdir}/usr/bin'
-export PYBUILD_AFTER_INSTALL_python3=mv '{destdir}/usr/bin/aubiocut' '{dir}/debian/tmp/usr/bin'
+export PYBUILD_AFTER_INSTALL_python3=mv '{destdir}/usr/bin/aubio' '{destdir}/usr/bin/aubiocut' '{dir}/debian/tmp/usr/bin'
 
 export PYBUILD_BEFORE_TEST=make create_test_sounds; cp -prv '{dir}/python/tests' '{build_dir}'
 export PYBUILD_AFTER_TEST=rm -rf '{build_dir}/tests'; rm -rf '{dir}/python/tests/sounds'
 export PYBUILD_TEST_ARGS_python2=cd '{build_dir}'; nose2-2.7 --verbose
-export PYBUILD_TEST_ARGS_python3=cd '{build_dir}'; nose2-3 --verbose
+export PYBUILD_TEST_ARGS_python3=cd '{build_dir}'; python{version} `which nose2-3` --verbose
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
@@ -27,7 +27,10 @@
 	dh_auto_clean --buildsystem=pybuild
 	-$(WAF_CMD) distclean
 	rm -rf doc/web/
+	rm -rf doc/_build/
 	rm -rf python/ext/config.h
+	rm -rf aubio.egg-info/
+	rm -f this_version.pyc
 	# extra rules to remove files manually
 	#-find waf -name '*.pyc' -delete
 	#rm -rf .waf* .lock-waf*

=== debian/watch ===
version=2
opts="pgpsigurlmangle=s/$/.asc/" \
  http://aubio.org/pub/ aubio-([0-9.]*)\.tar\.bz2
